org.richfaces.application

## Class CacheProvider

- java.lang.Object
- - org.richfaces.application.CacheProvider

- All Implemented Interfaces:
    Initializable, Cache

      public class CacheProvider
      extends Object
      implements Initializable, Cache

  Author:
    asmirnov@exadel.com

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CacheProvider()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Cache` | `get()`
    `Object` | `get(Object key)`
    `void` | `init()` Called during service initialization time
    `void` | `put(Object key, Object value, Date expired)`
    `void` | `release()` Called when releasing associated services
    `void` | `start()`
    `void` | `stop()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CacheProvider

          public CacheProvider()

  - ### Method Detail

    - #### get

          public Object get(Object key)

      Specified by:
        `get` in interface `Cache`
      Parameters:
        `key` -
      Returns:
      See Also:
        `Cache.get(java.lang.Object)`

    - #### put

          public void put(Object key,
                          Object value,
                          Date expired)

      Specified by:
        `put` in interface `Cache`
      Parameters:
        `key` -
        `value` -
        `expired` -
      See Also:
        `Cache.put(java.lang.Object, java.lang.Object, java.util.Date)`

    - #### start

          public void start()

      Specified by:
        `start` in interface `Cache`
      See Also:
        `Cache.start()`

    - #### stop

          public void stop()

      Specified by:
        `stop` in interface `Cache`
      See Also:
        `Cache.stop()`

    - #### release

          public void release()

      Description copied from interface: `Initializable`
      Called when releasing associated services
      Specified by:
        `release` in interface `Initializable`

    - #### init

          public void init()

      Description copied from interface: `Initializable`
      Called during service initialization time
      Specified by:
        `init` in interface `Initializable`

    - #### get

          public Cache get()

Copyright © 2016 JBoss by Red Hat. All Rights Reserved.